org.apache.hadoop.yarn.server.nodemanager.webapp.dao

## Class NMContainerLogsInfo

- java.lang.Object
- - org.apache.hadoop.yarn.server.webapp.dao.ContainerLogsInfo
  - - org.apache.hadoop.yarn.server.nodemanager.webapp.dao.NMContainerLogsInfo

-     public class NMContainerLogsInfo
      extends org.apache.hadoop.yarn.server.webapp.dao.ContainerLogsInfo

  NMContainerLogsInfo represents the meta data for container logs which exist in NM local log directory. This class extends `ContainerLogsInfo`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.yarn.server.webapp.dao.ContainerLogsInfo

      `containerId, containerLogsInfo, logType, nodeId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NMContainerLogsInfo()`
    `NMContainerLogsInfo(Context nmContext, org.apache.hadoop.yarn.api.records.ContainerId containerId, String remoteUser, org.apache.hadoop.yarn.logaggregation.ContainerLogAggregationType logType)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.yarn.server.webapp.dao.ContainerLogsInfo

      `getContainerId, getContainerLogsInfo, getLogType, getNodeId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NMContainerLogsInfo

          public NMContainerLogsInfo()

    - #### NMContainerLogsInfo

          public NMContainerLogsInfo(Context nmContext,
                                     org.apache.hadoop.yarn.api.records.ContainerId containerId,
                                     String remoteUser,
                                     org.apache.hadoop.yarn.logaggregation.ContainerLogAggregationType logType)
                              throws org.apache.hadoop.yarn.exceptions.YarnException

      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.